#include <windows.h>
#include "NDTSError.h"
#include "Errors.h"

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	lpReserved; hModule;
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
			NDTS_RegisterGetCodeStringFunction(NDTS_ERROR_SCO_SDK_INDEX, &SCO_GetCodeString) ;
			break;
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	}
	return TRUE;
}

